php_install_redis: true
php_hold_version: false
php_repositories: []
php_packages:
  - php-apc
  - php-pear
  - php-soap
  - php5
  - php5-cgi
  - php5-cli
  - php5-curl
  - php5-dev
  - php5-fpm
  - php5-gd
  - php5-imap
  - php5-mcrypt
  - php5-mysql
  - php5-xdebug
  - php5-xmlrpc
  - imagemagick

php_base_dir: 'php5'
php_conf_dir: 'conf.d'

php_allow_call_time_pass_reference: 'on'
php_browscap: false
php_date_timezone: 'Europe/Berlin'
php_display_errors: 'Off'
php_display_startup_errors: 'Off'
php_error_reporting: 'E_ALL & ~E_NOTICE'
php_expose_php: 'Off'
php_filter_default: 'unsafe_raw'
php_html_errors: 'Off'
php_log_errors: 'On'
php_magic_quotes_gpc: 'On'
php_max_execution_time: '30'
php_max_file_uploads: '20'
php_max_input_vars: '1000'
php_memory_limit: '32M'
php_needs_oci8: false
php_post_max_size: '32M'
php_register_globals: 'Off'
php_register_long_arrays: 'On'
php_sendmail_path: '/usr/sbin/sendmail -t -i'
php_session_cache_expire: '180'
php_session_cookie_lifetime: '0'
php_session_gc_divisor: '1000'
php_session_gc_maxlifetime: '1440'
php_short_open_tag: 'Off'
php_upload_max_filesize: '2M'
php_zend_assertions: '-1'

# apc.ini
apc_rfc1867: '1'
apc_shm_size: '256M'
apc_shm_segments: '1'
apc_num_files_hint: '0'
apc_ttl: '7200'
apc_user_ttl: '7200'
apc_gc_ttl: '3600'

# opcache.ini
opcache_memory_consumption: '128'
opcache_max_accelerated_files: '7963'
opcache_revalidate_freq: '30'
opcache_interned_strings_buffer: '16'

# php 5.3
php53:
  libraries:
    - file: 'libgd.so.2.0.0'
      link: 'libgd.so.2'
    - file: 'liblcms.so.1.0.19'
      link: 'liblcms.so.1'
    - file: 'libMagickCore.so.4.0.1'
      link: 'libMagickCore.so.4'
    - file: 'libMagickWand.so.4.0.1'
      link: 'libMagickWand.so.4'
    - file: 'libt1.so.5.1.2'
      link: 'libt1.so.5'
  liblinks:
    - src: '/lib/x86_64-linux-gnu/libpng12.so.0'
      link: 'libpng12.so.0'
  modules:
    - 'apc'
    - 'curl'
    - 'gd'
    - 'imagick'
    - 'imap'
    #- 'json'
    - 'mcrypt'
    #- 'memcached'
    - 'mysql'
    - 'mysqli'
    - 'pdo_mysql'
    #- 'readline'
    - 'redis'
    - 'xmlrpc'
  extdir: '/usr/local/lib/php/extensions/no-debug-non-zts-20090626'
  libdir: '/usr/lib/x86_64-linux-gnu'
